Subject: Re: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Jun 2021 16:26:22 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 30 Jun 2021 15:00:41 +0200
> Cc: [email-masked]
> 
> Would it make sense to allow the user to control where the lockfiles are
> written?

Yes, I think so.  But it is not as trivial as it could sound,
because...

> The lockfiles are symlinks, so it should theoretically be
> possible to have them elsewhere without being any racier than the code
> currently is, I think.

...even if the lock files are symlinks (which they not necessarily
are), we need to handle the case of several files with identical
basenames in different directories.  (Their being symlinks is
unimportant, because the target of the symlink doesn't exist.)